Activity Monitor Help

Activity Monitor

Activity Monitor Help Index

Activity Monitor remote computer monitoring software

Quick Start

Program features

How To ...

Install Activity Monitor

Install Activity Monitor Agent

Execute programs on remote systems without installing client

Record all-day computers usage

View log files with recorded computer usage information

Customize log file export

Uninstall Activity Monitor

Uninstall Activity Monitor Agent

Commands

File menu

Edit menu

View menu

Log menu

Window menu

Keyboard shortcuts

© 2003 Deep Software. All rights reserved.


Quick Start

To start monitoring the computer on your network, you should:

1. Install Activity Monitor on your computer, connected to LAN.

2. Install Activity Monitor Agent on the remote computer you want to monitor. This computer should be connected to LAN as well.
If your and remote computers are Windows NT/2000/XP you may isntall Agent remotely. Start Activity Monitor, click File menu -> Install Agent command. Agent remote installation window will appear. Enter remote computer name and click Install. Agent will be installed on the remote computer.
Alternatively or if your or remote computer is Windows 95/98/Me, Agent can be installed by directly running installation program on the remote computer.

3. Then just start Activity Monitor on your computer. The remote computer should appear in the Computers List automatically, if Activity Monitor detects it. You will see computer's name in the List. If it is so, proceed to the section 4. If it was not detected in 30-60 seconds (this means that it is not in your IP network segment), you may try to add it manually. Select Add command from File menu, fill computer's IP address (or host name) in the Computer Properties window and give it any name you like. Click OK. Agent computer will be added to your list with the offline status ( [image] icon in list).

Then Activity Monitor starts to search this computer on the network. If it is found, its icon will show computer's online status like this [image]. If it is so, proceed to the section 4. If Activity Monitor was unable to detect the remote computer with running Agent, it means, that this computer is not visible by your PC through TCP/IP. Make sure that Activity Monitor communications are not restricted by firewalls. Reconfigure your network settings (DNS, gateways, etc.). Use ping utility to test availability of the remote computer. Computer should be "pingable".

4. Double-click on the [image] icon with computer name you want to monitor. Monitoring window with title "ComputerName - connected" will be opened. Use tabs to select desired view of the remote computer - Keystrokes, Screen, Applications, Foreground, Internet or Remote Control.

5. To stop monitoring, select Disconnect command from File menu, or simply close the monitoring window.

6. It is strongly recommended to setup password for every remote computer with the Agent installed using File->Change Password menu command in Activity Monitor.


Activity Monitor Features

Software system for monitoring PC users activities remotely over the network.

  • When user types any text in any window, this text appears on the administrator's screen in real time.
  • You can take screenshots from user's desktop in real time and see what user is doing now.
  • You can view a list of applications running on remote PC and see which one is the foreground window.
  • Monitoring visited web sited.
  • Install monitoring Agent remotely to any computer in your network. Deploy Agent to all computers in the network in just a minute.
  • Monitor all computers on LAN simultaneously in individual windows.
  • Agent can run in Aware or Stealth mode. The Agent running on the remote PC in Stealth mode is difficult to find since it does not show up in the task list (Win9x only).
  • Autodetection of computers with the installed Agent on LAN.
  • Logging user activity and keystrokes to the file on remote PC or shared network location.
  • Capturing screenshots form the remote PC desktop or active window. Screenshots can be saved in JPEG format in the specified directory on remote workstation or shared network location.
  • Downloading log files and screenshots from the remote workstation.
  • Downloading any desirable files using wildcards from the remote workstation or network location accessible from that PC.
  • Exporting log files to MS Excel for advanced analysis.
  • Exporting log files to the HTML file with embedded screenshots.
  • Exporting log files to the CSV text file for further import to any database.
  • Scheduled log files and screenshots download from all computers with automatic export to the specified directory
  • All exports are based on editable templates, so you can customize the look of resulting files.
  • Run program on the remote computer, open document or web site for the remote user.
  • Shut down or restart remote computer, logoff user, turn on screensaver.
  • Send instant message to the remote computer.
  • Shut down or uninstall Agent application remotely from your PC.
  • Easy to install and use.
  • Activity Monitor can run on Windows 98/Me/NT/2000/XP, Agent can run on Windows 98/Me/NT/2000/XP.
Using Activity Monitor, you will be always informed about what users do and how they spend the work time. You may monitor your employees or students etc.


Activity Monitor Installation

To install Activity Monitor on your computer:

1. Make sure your computer is connected to the network and TCP/IP protocol is installed.

2. Run amonitorXX.exe (where XX - Activity Monitor version number).

3. Read the license agreement. If you accept the terms of agreement, click "I accept the agreement" and click Next.

4. Select directory where you want to install Activity Monitor and choose whether you want to create start menu group, to run application after installation process, to put the Activity Monitor shortcut on the desktop.

5. Wait until program files are copied to the destination folder.

6. Run Activity Monitor from the Windows Start menu.


Activity Monitor Agent Installation

Installation of Activity Monitor Agent is very easy and quick process. Agent can be installed in several ways.

Install Agent remotely:

The faster and simplest method is a remote installation. It works only for Windows NT/2000/XP computers. Here are the steps you need to make to install Agent remotely:

1. Start Activity Monitor.

2. Click File menu, then Install Agent. Remote installation window will appear:

3. Enter remote computer name that you want to monitor or click Browse and select computer from your workgroup.

4. You need Administrator access to the remote computer in order to install Agent via network. Enter User Name and Password in appropriate fields or mark the check box below if you want to use current user credentials.

5. It is recommended to set Agent password. This password will be required to monitor the remote computer. Enter password in Set Agent Password field.

6. If this is not first installation of the Agent, you will need to provide previous Agent password. Enter it in Old Agent Password field. It can be the same as new password. If you enter wrong password installation will fail.

7. Click Install. Installation Console window will appear and Agent will be installed on the selected computer.

8. If installation was successful, Agent will appear in Activity Monitor in Remote Agents list.

Direct Agent installation:

1. Go to the remote computer that you want to monitor.

1. Make sure, that computer is connected to network and TCP/IP protocol is installed properly.

2. Run amagentXX.exe (where XX is Activity Monitor version). You amy run it from floppy disk, CD, or shared network location.

3. Select the directory you want to install the Agent to. Or leave default directory.

4. Choose, if you want to run the Agent after installation.

5. Click OK and wait until program files will be copied.

Silent Agent installation:

You may want to deploy Agent to all computers in network using domain logon scripts or other tools. Agent instillation can run silently without any dialog windows shown with all default options. There are several command line parameters are supported by Agent installation to help you:

/VERYSILENT - run installation in silent mode without showing any windows or interacting with user.

/NewPsw=XXX - set optional Agent password. Type password instead of XXX.

/OldPsw=XXX - optional old Agent password. Use this parameter if this is not first installation. If old password is not specified or is wrong installation fails. Type password instead of XXX.

/NORESTART - instructs Setup not to reboot even if it's necessary.

/DIR="x:\dirname" - overrides the default directory name displayed on the Select Destination Directory wizard page. If this parameter is not specified, default directory in Program Files will be used. A fully qualified pathname must be specified.

Example:
amagent30.exe /VERYSILENT /OldPsw=mypsw1 /NewPsw=mypsw2

Remote Agent installation from command prompt:

You can also install Agent remotely to other computers from command prompt, script or batch file. This can be useful if you want to deploy Agent to many computers over the network. Agent can be deployed to the remote systems with DPEXEC utility that is located in Activity Monitor directory.

Here is the example:

dpexec.exe \\remote /c /i /user:administrator /psw:admpsw amagent30.exe /VERYSILENT /OldPsw=mypsw1 /NewPsw=mypsw2

How it works: This command will temporary copy (/c) amagent30.exe file to the "%SystemRoot%\System32" directory remote system and execute it there. For amagent30 command line parameters description look previous section. Process will be run as interactive process (/i). This allows Agent to run in the context of current interactive user to start monitoring him immediately after installation. User name and password used for remote computer access administrator:admpsw.

You may write bat-file or script that will call such command for each computer in network and install Agent on it.


Execute programs on remote systems with DPEXEC utility

DPEXEC utility was originally made for installing Agent remotely. But it can be used to run any programs on the remote computer. It does not require any client software installed on the remote computer, unlike other remote control programs. DPEXEC is a light weight program that is installed in Activity Monitor directory. It lets you execute processes on other systems with full interactivity for console applications.
DPEXEC can copy program to the remote computer for execution if it is not there. DPEXEC most interesting feature is launching interactive command prompt (cmd.exe) on remote system. This will work like telnet replacement.

You can execute internal commands (dir, copy...) directly.
dpexec.exe \\remote dir

You can start a light telnet-like connection with a remote machine without any telnet server
dpexec.exe \\remote cmd

You can run any program
dpexec.exe \\remote notepad.exe

You can install Activity Monitor Agent to the remote system

DPEXEC works on NT 3.51, NT 4.0, Windows 2000 and Windows XP. You must have Administrator privileges on the remote computer.

DEXEC usage and command line parameters:

Usage:
dpexec \\computer [options] command/exe [arguments]
Option | Description
/D:directory | Set working directory. Default: Remote "%SystemRoot%\System32"
/C | Copy the specified program to the remote machine's "%SystemRoot%\System32" directory. Command's exe file must be absolute to local machine
/I | Interact with desktop
/IDLE | Idle priority class.
/NORMAL | Normal priority class.
/HIGH | High priority class.
/REALTIME | Realtime priority class (not recommended!)
/USER:user | User for remote connection (must have Admin provileges on the remote computer)
/PWD:{password|*} | Password for remote connection. * - ask for password
/NOWAIT | Don't wait for remote process to terminate

Examples:
dpexec.exe \\remote cmd// Starts a command prompt on client computer
dpexec.exe \\remote /nowait runme.exe
dpexec.exe \\remote /user:administrator dir c:\
dpexec.exe \\remote /user:somebody /pwd:* /d:d:\ test1.exe /param
dpexec.exe \\remote /c /user:somebody /pwd:* /d:d:\ test2.exe
Install Agent on the remote computer:
dpexec.exe \\remote /c /i amagent30.exe /VERYSILENT /OldPsw=psw1 /NewPsw=psw2

Notes:
- Input is passed to remote machine when you press the ENTER.
- Ctrl-C terminates the remote process
- Command and file path arguments have to be absolute to remote machine
If you are using /c option, command exe file path must be absolute to local machine, but the arguments must be absolute to remote machine


Recording computers usage

Activity Monitor provides several possible ways to record computer usage with Activity Monitor. You may choose whatever is more suitable for you or use all of them.

Offline logging allows you to get reports on user's work time activity. Agent installed on the remote computer will record all user activity to the log file and take screenhsots periodically. Log file will be stored on the remote computer disk (Alternatively you may set log file path to the shared network location). Offline Logging works independently from Activity Monitor. You don't need to keep Activity Monitor running on the main PC. Activity Monitor allows to download log files and screenshots periodically from remote computers, view and analyze them. To enable offline logging on the remote computer complete the following steps:

1. Install Activity Monitor Agent on the remote computer.

2. Select this computer in the Activity Monitor computers list and click Properties toolbar button.

3. In the computer properties dialog switch to the Offline Logging tab.

4. Select "Log Activity", "Log Keystrokes", "Log Visited Web Sites on the Internet" check boxes.

5. Enter the path, where the log file will be stored on the remote PC. (You may also specify a shared network location). File name should be absolute to the remote machine.

6. Enter log file size limit. If this limit is reached, logging is stopped. Usual eight hour work day log takes about 200 KBytes. You may just leave default value.

7. Switch to the Offline Screenshots tab.

8. Check Capture Screenshots box.

9. Select desirable area of screenshot (All desktop or active window only)

10. Enter the directory name on the remote PC, where taken screenshots will be saved. Directory path should be absolute to the remote computer. You may also use shared network location for screenshots.

11. Enter time between screenshot taking, desirable scale, and total size limit.

12. After you click OK Agent on the remote will start recording log file and taking screenshots periodically. You don't need to keep Activity Monitor running on your computer.

13.After some time you may start Activity Monitor to download and view Offline Logging results.

Record Monitoring Sessions feature allows Activity Monitor to create log files locally. It will create log file of the same format as Agent creates in Offline Logging. This allows gathering and storage of activity information from all network computers in a single centralized location. Log file will contain all information viewed in the monitoring window. As soon as you start Activity Monitor and open monitoring window, local log file is created for this particular remote computer. Recording takes place only when monitoring window is opened in Activity Monitor. There is no need to download log files like in Offline Logging.
Monitoring Session Recording is an alternative to Offline Logging when you want to store all files centralized on main computer.

To enable Monitoring Session Recording do the following:

1. Select this computer in the Activity Monitor computers list and click Properties toolbar button.

2. In the computer properties dialog go to the Recording tab.

3. Select "Record monitoring session locally" check box.

4. Enter file name for log file. This path should be absolute for local computer.

5. Enter log file size limit. When size limit is reached logging stops.

6. After you click OK Activity Monitor will record all monitoring sessions for this computer.


Log files viewing

Activity Monitor can record users activity to log files. Log files usually have swl extension. To view and analyze log files content you need to export them to the readable format. Activity Logger allows to export log file to:
  • HTML file - for convenient viewing in browser
  • MS Excel - for advanced log analysis and viewing
  • CSV file - standard comma delimited file that can be imported by most database systems.
This is how export log file window looks.

To export log files:

1. Download log file and screenshots to the local station (it is recommended to download them to the default location) from the remote computers, if they are not on the local computer already. For this purpose use Download log and Download screenshots commands in Log menu.

2. Open Log File Export dialog using Export command in Log menu. (See picture above)

3. Add any log files to the list on the top. Those files will be exported to a single resulting file in top-down order. Activity Monitor can combine log file from different users and different computers. This allows to compare how different users work.

4. Select the desirable resulting files formats and enter resulting files names. Or just leave file names default.

5. Click Export to generate files.


How to customize log file export

With Activity Monitor you can export log files to MS Excel, HTML file and CSV comma delimited file. All exports are based on templates. This means you can customize the look of resulting files editing these templates.

MS Excel export

Export to Excel gives you an ability to advanced analysis of people work time activity. You can see in which applications users spend work time, view diagrams, filter, group data. Export to Excel is based on template log.xls in Activity Monitor directory. You can edit this file to have some additional features in resulting xls-file.

Template xls-file contains two sheets. Activity Monitor writes log records into the "Log" sheet beginning from 2-nd row. 1-st row contains the columns headers. Second sheet "Summary Table" contains pivot table, which shows time totals by users and running applications. You may want to add a Diagram of the data in this summary table.

HTML export

Generated HTML file contains records for all applications that were running on the computer with work duration in all of them, keystrokes typed by user in the particular applications. Also links to screenshots are added to the HTML file. To have no broken links to images, you should download screenshots to the default directory.

The HTML files are generated based on six template files. Every template file may contain macros, which are replaced with the appropriate value while exporting. Default templates are based on CSS. Before editing templates do not forget to backup original files. This is a list of available macros in each template file.

first.html - holds HTML header code. Copied once to the beginning of the resulting HTML file. By default it contains , tags and style definitions.
Can not contain macros.

head.html - holds code for beginning logging session. New logging session starts, when computer boots up, or when you enable previously disabled offline logging. This template is copied every time the new logging session is started.
Can contain following macros:
%COMPUTER_NAME% - Name of the computer
%USER_NAME% - Name of the user worked on the computer
%TIME% - time, when logging session started (mm/dd/yy hh:mm:ss)

logrec.html - holds HTML code for log record. The log record had generated when user switches from one application to another.
Can contain following macros:
%TIME% - time, when user had switched to or started this application
%EXE_FILE% - application executable file name
%EXE_DIR% - application executable file path
%WINDOW% - active window title
%DURATION% - duration user worked in this application before closing it or switching to another (format: hh:mm:ss)
%KEYSTROKES% - text user had typed in this application

scrshot.html - holds code for screenshot record. By default in contains the link to image, which can be opened in new browser window by clicking on it. You may want to embed image directly in generated HTML.
This template can contain following macros:
%TIME% - time, when the screenshot had been taken
%IMAGE_FILE% - full path to the screenshot image

url.html - holds the code for visited website URL record. By default in contains the URL and title of visited Internet page.
This template can contain following macros:
%TIME% - time, when site was visited
%VISITED_SITE% - URL of the visited webpage
%WINDOW% - webpage title

bottom.html - holds code for the end of log session. It is symmetric to the head.html file. By default it just contains tag, finishing log session
Can contain following macros:
%COMPUTER_NAME% - Name of the computer
%USER_NAME% - Name of the user worked on the computer

last.html - contains final code, which is inserted once into the resulting HTML file at the end. By default it contains , tags. This template is symmetric to first.html file. Can not contain macros.

CSV comma delimited text file export

Generated CSV files can be used for further import of logs into any database. This export is based on delim.csv and header.csv template files You may want to change the format of resulting file, i.e. change delimiter character or delete some fields. The template with replaced macros is copied into the resulting file once for every log record.

Delim.csv file may contain following macros:

%COMPUTER_NAME% - Name of the computer
%USER_NAME% - Name of the user worked on the computer
%DATE% - date of this log record (mm/dd/yy)
%TIME% - time, when user had switched to or started this application (hh:mm:ss)
%EXE_FILE% - application executable file name
%EXE_DIR% - application executable file path
%WINDOW% - active window title
%DURATION% - duration user worked in this application before closing it or switching to another (format: hh:mm:ss)
%VISITED_SITE% - URL of the web page visited in browser
%KEYSTROKES% - text typed by user in this application

header.csv file contains line with column names that becomes first raw of the log file


How to uninstall Activity Monitor

Activity Monitor supports standard Windows applications uninstallation procedure.

To uninstall Activity Monitor:

1. Run Control Panel from Start menu.

2. Click Add/Remove Programs icon.

3. Select Activity Monitor in the programs list and click Add/Remove button.

4. Wait for the program files to be deleted.


How to uninstall Activity Monitor Agent

There are two possible ways of uninstalling the Activity Monitor Agent: from the client computer and remotely from Activity Monitor server.

To uninstall Agent remotely:

1. Run Activity Monitor.

2. Select in list that remote computer where you want to uninstall Agent

3. Click Uninstall Agent command from File menu. (This computer should be online)

4. Agent will be uninstalled in silent mode. After this you are not able to monitor that computer until you install Agent again.

To uninstall Agent locally form the client PC:

1. Run uninst000.exe from the directory, where Agent is installed.

2. Wait for the program files to be deleted.


Activity Monitor Menu Commands. File Menu

The following table contains descriptions for Activity Monitor menu commands.

File menu:

Menu Command Name | Menu Command Description
Add Agent | Add new remote computer to the list. This command is useful when remote computer can not be detected automatically by Activity Monitor. This may happen if this remote computer is not in the same network segment as Monitor or Agent is not loaded on it. This command calls Remote Agent Properties dialog.
Open Agent Monitoring | Open remote computer monitoring window for the computer selected in list. If this computer is online, Activity Monitor connects to it and starts real time monitoring of keystrokes, desktop, applications, etc. If computer is offline this command just opens remote computer monitoring window. This command is equivalent to double-click on the computer in list.
Save | Save content of current tab in the Monitoring Window. Activity Monitor allows to save keystrokes, application list, foreground application history or web sites visited to text file and screenshot to JPEG file
Close Agent Monitoring | Close active remote computer monitoring window. This ends monitoring session for the selected computer. To start monitoring this computer again, use Open Agent Monitoring command from File menu.
Close All | Close all monitoring windows at once. This will stop monitoring for all remote computers.
Agent Properties | Brings Remote Agent Properties window to edit computer name, host name, IP address and other options.
Delete Agent | Delete remote computer from the list. You will be prompted for confirmation of this operation. If this deleted computer is in your network segment, and Agent is running on it, this computer will be found and added to list again. To avoid this situation Uninstall Agent on this computer. This can be done remotely.
- | -
Enter Agent Password | Enter Activity Monitor password previously set for the remote computer selected in list. Entering correct password gives access to monitoring this remote computer. Agent password is not the same as Windows or network password. To set Activity Monitor Agent password use Change Agent Password command.
Change Agent Password | Set or Change Agent password for the Agent selected in list. This password grants access to monitor this remote computer in Activity Monitor. It is highly recommended to set passwords for all remote computers.
- | -
Connect | Start monitoring remote computer. If remote computer is online, Activity Monitor starts logging keystrokes, shows screenshots and application list, etc. from the remote computer. To update screenshot or application list use Refresh command from View menu.
Stop Connecting | Use this command to stop the process of connection to remote computer. If you have clicked Connect button and than see, that remote computer is offline and Activity Monitor can not connect to it, use this command to stop this process. Activity Monitor will stop connecting even if you don't use this command
Disconnect | Stop monitoring remote computer. When computer is disconnected, you will not see any new keystrokes, will be unable to refresh screenshot or application list. You just can view what was previously recorded.
- | -
Install Agent | Install Activity Monitor Agent application remotely to some computer in network. It is required to install Agent to be able to monitor computer in Activity Monitor. This command will open Remote Agent Installation window. You need to have Administrator rights on the remote computer in order to install Agent remotely. Agent can also be installed being physically at the remote PC. Just copy Agent installation on floppy or shared network location, go to the remote PC and run it there.
Uninstall Agent | Remote complete uninstallation of Activity Monitor Agent on the remote computer. It deletes all Agent program files. To start monitoring again, you will need to reinstall Agent.
Send Message | Send Instant Message to the remote computer selected in list. Message will appear in Message Box on the remote PC immediately.
Stop Agent Application | Shut down Activity Monitor Agent process running on the remote computer. If Agent is unloaded, you will be unable neither to monitor this computer nor to start Agent remotely. Agent will start only after computer is restarted or user relogged in.
Set Agent Dialogue | Update warning message text on the remote computer. If Agent is set to work in Aware mode it shows this warning message every time user logs on. Default text just warns user that his actions are monitored.
- | -
Exit | Exit Activity Monitor Application

See also:

Edit Menu

View Menu

Log Menu

Window Menu

Keyboard Shortcuts


Activity Monitor Menu Commands. Edit Menu

The following table contains descriptions for Activity Monitor menu commands.

Edit menu:

Menu Command Name | Menu Command Description
Copy | Copy selected text, table cells or image to the clipboard.
Select All | Select All text or table cells
Clear | Clear Keystrokes, Foreground or Internet tab
End Process | End selected Process on the remote computer. Select process to be terminated on Applications tab. User will not have a chance to save data in the terminated application.

See also:

File Menu

View Menu

Log Menu

Window Menu

Keyboard Shortcuts


Activity Monitor Menu Commands. View Menu

The following table contains descriptions for Activity Monitor menu commands.

View menu:

Use this command to select Foreground view in active monitoring window. This view shows active program history.
Menu Command Name | Menu Command Description
Toolbar | Use this command to display and hide the Toolbar, which includes buttons for some of the most common commands in Activity Monitor. A check mark appears next to the menu item when the Toolbar is displayed.
Status Bar | Use this command to display and hide the Status Bar, which includes information explaining command of toolbar button or menu item, over witch you move mouse pointer.
Remote Agents | Set focus or show Remote Agents bar.
- | -
Columns | Setup columns in Remote Agent list. This command is only available when Remote Agent list is in columns view mode. This command opens Columns Setup window where it is possible to change columns visibility, width and order.
- | -
Keystrokes | Use this command to select Keystrokes view in active monitoring window tabs. This view shows all keystrokes typed on remote computer. They appear immediately after user presses any key on his computer. You may see all the text user types, including passwords.
Screenshot | Use this command to select Screenshot view in active monitoring window tabs. This view shows the desktop view of the remote computer. It includes any opened windows, as user sees them. To get new screenshot manually click Refresh in View menu. To start/stop automatically refreshing screenshot click Auto Refresh in View menu.
Application list | Use this command to select Applications view in active monitoring window tabs. This view shows a list of processes running on the remote computer. Process of the foreground window is selected automatically. To refresh application list manually click Refresh in View menu. To start/stop automatic refreshing of applications list click Auto Refresh in View menu.
Foreground Windows |
Internet | Use this command to select Internet view in active monitoring window. This view shows web sites visited by user on the remote computer.
Remote Control | Use this command to select Remote Control view in active monitoring window. This view allows to start programs on the remote computer, open document or web site for the remote user, shut down, restart or log off remote computer, etc.
- | -
Update Agent List | Use this command to update Remote Agents List. Activity Monitor sends requests to all computers and detects running Agents on them. If Agent is running, this computer goes online in Computer List. If not, it goes offline. Activity Monitor repeats this procedure periodically. But with this command you may do it immediately and detect remote Agents status.
Refresh | Use this command to refresh the screenshot or application list. If in a computer window Screenshot page selected, it updates desktop view of the remote computer. If Application List page selected, it updates list processes running on the remote computer. To have screenshot and application list refreshed automatically click Auto Refresh in View menu.
Auto Refresh | Use this command to start or stop refreshing screenshot and applications list automatically. You may additionally change auto refresh time interval in Remote Agent Properties window. Warning! Do not set too short refresh time, since it may cause performance fall. It is not recommended to set refresh time less then 5-10 seconds.
- | -
Zoom In | Use this command to increase the scale of screenshot view. The scale may be 1:1, 1:2, 1:4, 1:8. This command refreshes screenshot with new scale. Try to use less scale, if you don't want to see screenshot details. The less scale you use, the less size (in Kb) screenshot will have.
Zoom Out | Use this command to decrease the scale of screenshot view. The scale may be 1:1, 1:2, 1:4, 1:8. This command refreshes screenshot with new scale. Try to use less scale, if you don't want to see screenshot details. The less scale you use, the less size (in Kb) screenshot will have.
- | -
Options | Use this command to Open Activity Monitor Options Window.

See also:

File Menu

Edit Menu

Log Menu

Window Menu

Keyboard Shortcuts


Activity Monitor Menu Commands. Log Menu

The following table contains descriptions for Activity Monitor menu commands.

Log menu:

Menu Command Name | Menu Command Description
Get Agent Log File | Download log file from the remote Agent selected in list. Log file is created on the remote computer if Offline Logging is enabled for it. File will be saved on the local computer and can be exported to different formats using Export command in Log menu.
Get Agent Screenshots | Download screenshots from the remote Agent selected in list. Screenshots are captured and saved on the remote computer if Offline Screenshots feature is enabled for it in Remote Agent Properties.
Get Agent Files | Download any files from the remote Agent selected in list. Activity Monitor will save to the local computer all files from the remote computers matching specified mask.
Get Scheduled from All Agents | Download Log Files and Screenshots from all remote Agents. This command simulates log file download by the schedule. Download schedule settings can be edited in Activity Monitor Options. Files will be downloaded only from computers with enabled Offline Logging or Offline Screenshots respectively. What files will be downloaded and to what format they will be exported depends on Schedule settings.
- | -
Export | Use this command to open Export Window. It allows to export log files download from remote computers to such formats as HTML, Excel and CSV comma delimited files.
- | -
Organize Logs | Opens in Windows Explorer directory where log files are stored on the local computer.

See also:

File Menu

Edit Menu

View Menu

Window Menu

Keyboard Shortcuts


Activity Monitor Menu Commands. Window Menu

The following table contains descriptions for Activity Monitor menu commands.

Window menu:

Menu Command Name | Menu Command Description
Next | Use this command to switch to the next opened monitoring window.
- | -
Cascade | Use this command to arrange multiple opened windows in an overlapped fashion.
Tile Horizontally | Use this command to vertically arrange multiple opened monitoring windows in a nonoverlapped fashion.
Tile Vertically | Use this command to arrange multiple opened monitoring windows side by side.
Arrange Icons | Use this command to arrange the icons for minimized windows at the bottom of the main window. If there is an open document window at the bottom of the main window, then some or all of the icons may not be visible because they will be underneath this document window.
- | -
Close All | Close all monitoring windows at once. This will stop monitoring for all remote computers.

See also:

File Menu

Edit Menu

View Menu

Log Menu

Keyboard Shortcuts


Activity Monitor Shortcuts

Keyboard shortcuts

Shortcut keys are available for many of the commands in Activity Monitor. By using shortcut keys, you can quickly accomplish common tasks.

The following table provides an overview of the tasks you can complete by using shortcut keys.

Task | Shortcut key
Show Remote Agents Panel | ALT+1; Esc
Show Keystrokes Tab | ALT+2
Show Screenshots Tab | ALT+3
Show Applications Tab | ALT+4
Show Foreground Tab | ALT+5
Show Internet Tab | ALT+6
Show Remote Control Tab | ALT+7
View Help | F1
Connect Monitoring Window | F3
Disconnect Monitoring Window | F4
Refresh | F5
Get Agent Log File | F6
Get Agent Screenshots | F7
Get Agent Files | F8
Export Log Files | CTRL+E
Organize Logs | CTRL+O
Enter Agent Password | F9
Change Agent Password | F10
Install Agent | ALT+I
Send Message | ALT+M
Set Agent Dialogue | ALT+D
Save current tab | CTRL+S
Close Agent Monitoring | CTRL+F4
Copy to clipboard | CTRL+C
Select All | CTRL+A
Update Agent List | CTRL+R
Turn On/Off AutoRefresh | CTRL+P
Zoom in screenshot | +
Zoom out screenshot | -
Options | CTRL+T
Next Window | CTRL+F6; CTRL+TAB
Add Agent | INSERT
Delete Agent | DELETE


.topic 1000
Enter here any name you like to refer this computer to. By default it is equal to Computer Name.

.topic 1001
Host name of the remote computer (i.e. john.acme.com) . Not necessary to enter if you know computer's TCP/IP address. Host name may be found in TCP/IP properties dialog on remote computer (Control Panel-> Network-> TCP/IP-> DNS Configuration-> Host).

.topic 1002
Enter here TCP/IP address of the remote computer . It is preferable to enter TCP/IP address instead of host name. If you don't know computer's IP address, use ping utility to determine it. This field will be updated automatically, when the computer will be found

.topic 1003
Enter here Refresh time in seconds. This is a period of time between refreshes of screenshot and application list. It works only, when you turn on Auto Refresh for this computer. Do not enter too short time, since you may encounter performance problems

.topic 1004
Computer Name entered in the network properties on the remote workstation. The same as visible in Network Neighborhood. Read-only.

.topic 1005
Name of the user, currently logged on the remote workstation. Read-only.

.topic 1006
Check to switch Agent on the remote computer to Aware Mode. It will show icon in tray and display warning message on Windows startup

.topic 1100
Enable/Disable writing log file on the remote workstation. These files can be downloaded later and used for further analysis of the user's work time activity

.topic 1101
Enable/Disable writing keystrokes to log file. Keystkores include all characters typed by users on the remote workstation in all windows

.topic 1102
Check to record URLs of web pages visited in browser by users on the remote system

.topic 1103
Name with full path of the log file on the remote workstation. Path is interpreted from the perspective of the remote computer. Use seldom visited directories (i.e. system directory) or shared locations for storing log files

.topic 1104
Maximum size of log file. If this size is reached, logging stops. Use reasonable values to be safe from hard disk overflow

.topic 1200
Enables/Disables taking screenshots from the desktop on remote workstation. Screenshots are saved in JPEG format in any desirable location available from the workstation. These files can be downloaded later and exported in HTML file along with activity log

.topic 1201
Take screenshot of all screen visible by user. Includes all visible windows.

.topic 1202
Take copy only from the active window. Using this option can help to save disk space.

.topic 1203
Full path to the location where taken screenshot files are saved. Screenshots are saved in compressed JPEG format. Path is interpreted from the perspective of the remote computer. Use seldom visited directories (i.e. system directory) or shared network locations for storing these files

.topic 1204
Time interval between taking screenshots. Do not set too short time (less than 5-10 seconds), this can cause performance problems on the workstation

.topic 1205
Scale, in which screenshots are saved. Image can be saved in natural size or decreased two, four or eight times. Use scaling to save disk space.

.topic 1206
Size limit of all taken screenshots. One screenshot from 800x600 desktop in 1:1 scale normally takes about 100 Kbytes. Use this option to avoid disk overflow. If this limit is reached, program deletes older screenshots to free space.

.topic 1207
Do not make screenshot, if no user activity detected since last screenshot made. Use this option, if you don't want to waste the disk space

.topic 1300
Enable/Disable Record Monitoring Sessions Locally. This feature can be used instead of Offline Logging to create swl-log file locally on the monitoring computer. All activities will be recorded to log file, when monitoring window is opened and connected to the remote Agent

.topic 1301
Log file name to create on the local computer

.topic 1302
Local log file size limit. When this limit is reached recording stops.

.topic 1303
Delete local log file right away

.topic 2000
Enter and confirm password to run Activity Monitor. Everyone who starts Activity Monitor will be asked for this password.

.topic 2001
If checked Activity Monitor will reopen on startup monitoring windows that were opened last time

.topic 2002
Enable/Disable binding to the IP address entered below instead of default binding. Warning: Do not change binding setting on computers with only one Network Connection.

.topic 2003
Enter IP address of local Network Interface Card to bind Activity Monitor to. This option should  be modified only on computers with several NICs installed.

.topic 2010
Enable/Disable downloading of log files from the remote computers, when scheduled event occurs

.topic 2011
Enable/Disable downloading of screenshots form the remote computers when scheduled event occurs

.topic 2012
Download files from remote computers every period of time. Specify time interval here.

.topic 2013
Download files from remote computers everyday at the same time. Enter time here.

.topic 2017
Download files from remote computers manually only. To download and export log files from all computers click Get Scheduled from all Agents in Log menu

.topic 2014
Check to have downloaded log files exported to MS Excel automatically. xls-file will be saved to the folder entered on Directories tab in this Options window

.topic 2015
Check to have downloaded log files exported to HTML automatically. html-file will be saved to the folder entered on Directories tab in this Options window

.topic 2016
Check to have downloaded log files exported to the CSV-delimited text file automatically. csv-file will be saved to the folder entered on Directories tab in this Options window

.topic 2020
Root directory for saving all log files and screenshots from all locally on this PC. May contain subdirectories for different remote computers

.topic 2030
Default directory for saving exported html-files

.topic 2031
Default directory for saving exported xls-files. It is effective, when exporting log files to Excel on scheduled event.

.topic 2032
Default directory for saving exported text files

.topic 3000
Files to be downloaded from the remote workstation. Use wildcards (i.e. C:\My Documents\*.doc) to download several files by mask. Files can be copied  from workstations hard disk or any network location available from the remote workstation.

.topic 3001
Local directory to save downloaded files. It is recommended to use default directory for log files and screenshots.

.topic 3002
Check this box if you want to delete files on the remote workstation after downloading them. This option is useful for downloading log file or screenshots.

.topic 3003
Check this box if you want log file automatically appear in Exprot window after it is copied successfuly